Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class WSDL20ToAxisServiceBuilder

    java.lang.Object
      org.apache.axis2.description.WSDLToAxisServiceBuilder
          org.apache.axis2.description.WSDL20ToAxisServiceBuilder

Direct Known Subclasses:
  WSDL20ToAllAxisServicesBuilder

    public class WSDL20ToAxisServiceBuilder

extends WSDLToAxisServiceBuilder

Field Summary
`protected org.apache.woden.wsdl20.Description` | `description`
`protected String` | `interfaceName`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`AXIS2WRAPPED, axisConfig, axisService, in, isCodegen, isServerSide, nsCount, registry, resolvedRpcWrappedElementMap, serviceName, style, TYPES, XML_SCHEMA_COMPLEX_TYPE_LOCAL_NAME, XML_SCHEMA_ELEMENT_LOCAL_NAME, XML_SCHEMA_IMPORT_LOCAL_NAME, XML_SCHEMA_LOCAL_NAME, XML_SCHEMA_SEQUENCE_LOCAL_NAME, XMLNS_AXIS2WRAPPED, XMLSCHEMA_NAMESPACE_PREFIX, XMLSCHEMA_NAMESPACE_URI, XSD_ELEMENT_FORM_DEFAULT, XSD_NAME, XSD_REF, XSD_TARGETNAMESPACE, XSD_TYPE, XSD_UNQUALIFIED`

Constructor Summary
`WSDL20ToAxisServiceBuilder(InputStream in, QName serviceName, String interfaceName)`
`WSDL20ToAxisServiceBuilder(String wsdlUri, AxisService service)`
`WSDL20ToAxisServiceBuilder(String wsdlUri, QName serviceName)`
`WSDL20ToAxisServiceBuilder(String wsdlUri, String name, String interfaceName)`
`WSDL20ToAxisServiceBuilder(String wsdlUri, String name, String interfaceName, boolean isAllPorts)`

Method Summary
`boolean` | `isAllPorts()`
`AxisService` | `populateService()`
`void` | `setAllPorts(boolean allPorts)`
`void` | `setCustomWSDLResolver(org.apache.woden.resolver.URIResolver customResolver)` sets a custom WSDL locator
`protected void` | `setup()` contains all code which gathers non-wsdlService specific information from the wsdl.

Methods inherited from class org.apache.axis2.description.WSDLToAxisServiceBuilder
`createHttpLocationTable, findSchemaPrefix, getBaseUri, getDOMDocumentBuilder, getServiceName, getTemporaryNamespacePrefix, getXMLSchema, isCodegen, isServerSide, replace, setBaseUri, setCodegen, setCustomResolver, setPolicyRegistryFromService, setServerSide, setServiceName, stackToString, stackToString, useAxisConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### description

    protected org.apache.woden.wsdl20.Description description

### interfaceName

    protected String interfaceName

Constructor Detail

### WSDL20ToAxisServiceBuilder

    public WSDL20ToAxisServiceBuilder(InputStream in,
                                      QName serviceName,
                                      String interfaceName)

### WSDL20ToAxisServiceBuilder

    public WSDL20ToAxisServiceBuilder(String wsdlUri,
                                      String name,
                                      String interfaceName)
                               throws org.apache.woden.WSDLException

Throws:
  `org.apache.woden.WSDLException`

### WSDL20ToAxisServiceBuilder

    public WSDL20ToAxisServiceBuilder(String wsdlUri,
                                      String name,
                                      String interfaceName,
                                      boolean isAllPorts)
                               throws org.apache.woden.WSDLException

Throws:
  `org.apache.woden.WSDLException`

### WSDL20ToAxisServiceBuilder

    public WSDL20ToAxisServiceBuilder(String wsdlUri,
                                      QName serviceName)

### WSDL20ToAxisServiceBuilder

    public WSDL20ToAxisServiceBuilder(String wsdlUri,
                                      AxisService service)

Method Detail

### isAllPorts

    public boolean isAllPorts()

### setAllPorts

    public void setAllPorts(boolean allPorts)

### setCustomWSDLResolver

    public void setCustomWSDLResolver(org.apache.woden.resolver.URIResolver customResolver)

  sets a custom WSDL locator

  Parameters:
    `customResolver` - - A custom Resolver that can resolve imports and includes

### populateService

    public AxisService populateService()
                                throws AxisFault

  Specified by:
    `populateService` in class `WSDLToAxisServiceBuilder`
  Throws:
    `AxisFault`

### setup

    protected void setup()
                  throws AxisFault,
                         org.apache.woden.WSDLException

  contains all code which gathers non-wsdlService specific information from the wsdl.

  After all the setup completes successfully, the setupComplete field is set so that any subsequent calls to setup() will result in a no-op. Note that subclass WSDL20ToAllAxisServicesBuilder will call populateService for each endpoint in the WSDL. Separating the non-wsdlService specific information here allows WSDL20ToAllAxisServicesBuilder to only do this work 1 time per WSDL, instead of for each endpoint on each wsdlService.

  Throws:
    `AxisFault` - - Thrown in case the necessary resources are not available in the WSDL
    `org.apache.woden.WSDLException` - - Thrown in case Woden throws an exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.